Public Member Functions | Public Attributes

# wxFontMetrics Struct Reference
[Device Contexts, Graphics Device Interface (GDI)]

`#include <wx/dc.h>`

## Detailed Description

Simple collection of various font metrics.

This object is returned by wxDC::GetFontMetrics().

Since:
  2.9.2

##

Library: wxCore
Category: Device Contexts, Graphics Device Interface (GDI)

## Public Member Functions
| wxFontMetrics ()
| Constructor initializes all fields to 0.
## Public Attributes
int | height
| Total character height.
int | ascent
| Part of the height above the baseline.
int | descent
| Part of the height below the baseline.
int | internalLeading
| Intra-line spacing.
int | externalLeading
| Inter-line spacing.
int | averageWidth
| Average font width, a.k.a. "x-width".

List of all members.

## Constructor & Destructor Documentation

wxFontMetrics::wxFontMetrics | ( |  | ) |

Constructor initializes all fields to 0.

## Member Data Documentation

int wxFontMetrics::ascent

Part of the height above the baseline.

int wxFontMetrics::averageWidth

Average font width, a.k.a. "x-width".

int wxFontMetrics::descent

Part of the height below the baseline.

int wxFontMetrics::externalLeading

Inter-line spacing.

int wxFontMetrics::height

Total character height.

int wxFontMetrics::internalLeading

Intra-line spacing.

|  | [ top ]